## dillo 0.3.2-maemo1

=== debian/changelog ===
dillo (0.3.2-maemo1) unstable; urgency=low

   * Fltk bundled

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Fri, 16 Mar 2012 10:06:40 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif


configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	cd fltk-1.3.0 ; ./configure --disable-xinerama ; make
	cp -r fltk-1.3.0/FL fltk-1.3.0/lib/ dillo-3.0.2
	cp fltk-1.3.0/fltk-config dillo-3.0.2

	sed -i 's/-lXext /-L..\/lib -lXext /' dillo-3.0.2/fltk-config 
	sed -i 's/fltk-config /.\/fltk-config /'  dillo-3.0.2/configure

	cd dillo-3.0.2; ./configure --enable-ssl ; make

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs


	#folders
	install -d ${CURDIR}/debian/dillo/opt/dillo
	
	#files
	install ${CURDIR}/dillo-3.0.2/src/dillo ${CURDIR}/debian/dillo/opt/dillo
	
	#menu and icon and starting script
	install -d  ${CURDIR}/debian/dillo/usr/share/icons/hicolor/64x64/hildon
	install ${CURDIR}/debian/ProgramIcon.png    ${CURDIR}/debian/dillo/usr/share/icons/hicolor/64x64/hildon/dillo

	install -d ${CURDIR}/debian/dillo/usr/share/applications/hildon
	install ${CURDIR}/debian/dillo.desktop ${CURDIR}/debian/dillo/usr/share/applications/hildon

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## dillo 0.3.2-maemo2

=== fltk-1.3.0/zlib/Makefile ===
#
# "$Id: Makefile 8481 2011-02-27 15:50:40Z manolo $"
#
# GNU ZIP library makefile for the Fast Light Toolkit (FLTK).
#
# Copyright 1998-2011 by Bill Spitzak and others.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Library General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Library General Public License for more details.
#
# You should have received a copy of the GNU Library General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
# USA.
#
# Please report all bugs and problems on the following page:
#
#     http://www.fltk.org/str.php
#

include ../makeinclude


#
# Object files...
#

OBJS	=	adler32.o compress.o crc32.o uncompr.o deflate.o \
		trees.o zutil.o inflate.o inftrees.o inffast.o \
		gzclose.o gzlib.o gzread.o gzwrite.o infback.o

LIBZ	=	../lib/libfltk_z$(LIBEXT)


#
# Make all targets...
#

all:	$(LIBZ)


#
# Clean all targets and object files...
#

clean:
	$(RM) $(OBJS)
	$(RM) $(LIBZ)


#
# Install everything...
#

install: $(LIBZ)
	echo "Installing libfltk_z$(LIBEXT) in $(libdir)..."
	-$(INSTALL_DIR) $(DESTDIR)$(libdir)
	$(INSTALL_LIB) $(LIBZ) $(DESTDIR)$(libdir)
	$(RANLIB) $(DESTDIR)$(libdir)/libfltk_z$(LIBEXT)
	echo "Installing zlib headers in $(includedir)/FL/images..."
	-$(INSTALL_DIR) $(DESTDIR)$(includedir)/FL/images
	$(INSTALL_DATA) zconf.h $(DESTDIR)$(includedir)/FL/images
	$(INSTALL_DATA) zlib.h $(DESTDIR)$(includedir)/FL/images
	$(INSTALL_DATA) zutil.h $(DESTDIR)$(includedir)/FL/images


#
# Uninstall everything...
#

uninstall:
	echo "Uninstalling libfltk_z$(LIBEXT) in $(libdir)..."
	$(RM) $(libdir)/libfltk_z$(LIBEXT)
	echo "Uninstalling zlib headers in $(includedir)/FL/images..."
	$(RM) $(includedir)/FL/images/zconf.h
	$(RM) $(includedir)/FL/images/zlib.h
	$(RM) $(includedir)/FL/images/zutil.h


#
# libfltk_z.a
#

$(LIBZ):	$(OBJS)
	echo Archiving $@...
	$(RM) $@
	$(LIBCOMMAND) $@ $(OBJS)
	$(RANLIB) $@

#
# Make dependencies...
#

depend:	$(OBJS:.o=.c)
	makedepend -Y -I.. -f makedepend $(OBJS:.o=.c)

include makedepend

$(OBJS):	../makeinclude


#
# End of "$Id: Makefile 8481 2011-02-27 15:50:40Z manolo $".
#

=== debian/changelog ===
dillo (0.3.2-maemo2) unstable; urgency=low

   * With SSL-support

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sat, 17 Mar 2012 12:15:40 +0200

=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,16 @@
 	sed -i 's/-lXext /-L..\/lib -lXext /' dillo-3.0.2/fltk-config 
 	sed -i 's/fltk-config /.\/fltk-config /'  dillo-3.0.2/configure
 
-	cd dillo-3.0.2; ./configure --enable-ssl ; make
+	cd dillo-3.0.2; ./configure --enable-ssl --prefix=`pwd`/installed_dir; make ; make install-strip
+	
+	echo "dpi_dir=/opt/dillo/lib/dillo/dpi/" > dillo-3.0.2/installed_dir/etc/dillo/dpidrc
+	echo "" >> dillo-3.0.2/installed_dir/etc/dillo/dpidrc
+	echo "proto.file=file/file.dpi" >> dillo-3.0.2/installed_dir/etc/dillo/dpidrc
+	echo "proto.ftp=ftp/ftp.filter.dpi" >> dillo-3.0.2/installed_dir/etc/dillo/dpidrc
+	echo "proto.https=https/https.filter.dpi" >> dillo-3.0.2/installed_dir/etc/dillo/dpidrc
+	echo "proto.data=datauri/datauri.filter.dpi" >> dillo-3.0.2/installed_dir/etc/dillo/dpidrc
+
+
 
 	touch $@
 
@@ -55,14 +64,18 @@
 	dh_clean -k 
 	dh_installdirs
 
-
-	#folders
+	#folder to the opt
 	install -d ${CURDIR}/debian/dillo/opt/dillo
 	
-	#files
-	install ${CURDIR}/dillo-3.0.2/src/dillo ${CURDIR}/debian/dillo/opt/dillo
-	
-	#menu and icon and starting script
+	#binaries/libraries
+	cp -r ${CURDIR}/dillo-3.0.2/installed_dir/bin ${CURDIR}/debian/dillo/opt/dillo
+	cp -r ${CURDIR}/dillo-3.0.2/installed_dir/lib ${CURDIR}/debian/dillo/opt/dillo
+
+	#config files
+	install -d ${CURDIR}/debian/dillo/etc/dillo
+	install ${CURDIR}/dillo-3.0.2/installed_dir/etc/dillo/* ${CURDIR}/debian/dillo/etc/dillo
+
+	#menu and icon
 	install -d  ${CURDIR}/debian/dillo/usr/share/icons/hicolor/64x64/hildon
 	install ${CURDIR}/debian/ProgramIcon.png    ${CURDIR}/debian/dillo/usr/share/icons/hicolor/64x64/hildon/dillo

## dillo 0.3.2-maemo3

=== debian/changelog ===
dillo (0.3.2-maemo3) unstable; urgency=low

   * Fix: symlinks to the /usr/bin

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sat, 17 Mar 2012 12:42:40 +0200

## dillo 0.3.2-maemo4

=== debian/changelog ===
dillo (0.3.2-maemo4) unstable; urgency=low

   * Fix: copy global configurations to the default for user

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sat, 17 Mar 2012 16:53:40 +0200

## dillo 0.3.2-maemo5

=== debian/changelog ===
dillo (0.3.2-maemo5) unstable; urgency=low

   * Fixed: SSL, optified

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu, 22 Mar 2012 15:11:40 +0200

=== debian/control ===
Source: dillo
Section: user/network
Priority: optional
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com> 
Build-Depends: debhelper (>= 5.0.42), libpng12-dev, libjpeg62-dev, libfreetype6-dev, libxext-dev, libxft-dev, zlib1g-dev, libssl-dev
Standards-Version: 3.8.1
Homepage: http://www.dillo.org

Package: dillo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Lightweight Web browser
XSBC-Bugtracker: http://www.dillo.org/bugtrack/Dbugtrack.html
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABGdBTUEAANbY
 1E9YMgAAABl0RVh0U29mdHdhcmUAQWRvYmUgSW1hZ2VSZWFkeXHJZTwAABeJ
 SURBVHjaYvz//z/DUAYAAcTEMMQBQAANeQ8ABNCQ9wBAALFQ0zBGIABSfEAs
 C8TqQCwDxOxA/B6I7wLxHSB+Ccx3P6llJ0AAsVDJ4ZJAyo+BkXkGn5AIg5Cs
 MoOQnAbDNzYhht//GRn4WX4y/H7zhOHFvasMn18+BamfA1S/GIhPUuoZgABi
 pKQUAjrEFUhkCkrIBxp5hjG8E9Vj4JRVYODl5WDg5WZl8Fb5wyDJJcBgoyDP
 wMbEyHD//XeGFWfuMyzbtI+B9/5+hsuHdjH8/PatFWhUG9Ad38hxA0AAkeUB
 oMONGZiYMnXMjZNdk3wYbjEZMbx/LcCgocfGoC7BxPDxFycDKzMTg4PcX4YX
 73gY/v4TZLCR4WaQ54NE+JNPPxkCll5iYP3zjoHl3EaGS5tWMHx6974Z6JY6
 Ut0CEEAsZDi+jUdQpNKvIIXB0FOOwUFJieHxdxaGH7+YGP4CswAz5z8GxrcM
 DELcDAxvGVgYeAR/Mvz584Sh5Rwng720MEOMKj+DDB87g5WGOAMHEzvDeaF4
 BiElDwb1MwtrgWZLAa2YDvTIWWLdAxBAJMUA0IJpuhZ2mbLBgQxRdsIM9qpK
 DBys7AyXfn5l+M/MziDKycnw4vc/hv9Aj3AB+Q/fcjKcfsnN4KPykUHgHyND
 80lOBi95LoZEoCeOPP3E0HnsBQPQLwzfvv9muPrkOYPqp8MMRyf2Mvz48i0B
 6K6FxLgJIIBYSHG8iZt/5lMFOwZRRjWG9+/ZGDiY2Rg+/f/L8IeJheH3XyZg
 qmJlEOH8z3DrAzPDtofCDCyMTAwqAr8YOFlZGM68YGdQEmFh2PzoB8OBF98Z
 FLmAngS6/tef3wysHCwMBvLSDI/eOzJolnIw3J3UswBoHxfQE9MJuQsggFiI
 dbyZs2/mfVELBmM1FYa/7OwMUsJ/Gf4D4T8mZgZxdmaGf4wsDMzAQvQfqMz8
 xsLw/gcTw///LAwcbP8YONi/MhhI/2VwkGVk2H6PhWHvA1aGCz/+MACzCTC2
 QFXRPwagMQwKAiIMtz7ZMoimsDH8md40DWjvM1CWAWJBID4L9NB7dLcBBBAL
 MWleXd848zaPDoOJjjIDIysTAzPLXwZFUWaGv8DQ52ViA4Y8I8MvYLJ5+fsn
 w08GJgZVsT8MEgI/GR684WJ4+JmLgQlYlGqyMTGwMTAyBKn8YtCU/Mww8wwf
 w6evQLP+/2FgAup9dWIPw+Odyxn+fv3I8OH+dZj1G4zl5RkEWVgYzj5+DHKL
 ELonAAKIhYDjTbh4+St/KNoxaKjIg0uWb7/+M/AAk8mPnz8Yvn0DsoF5gBmY
 WVmAsfH1+z+G30z/GRR52Rm4Wf4z/BX/wPCPDZiJgWb9/s/G8AWY355//8Vw
 /8N/BivZjwzHnrAzvHrHyMD05SPDw4nFDKvMzRkEtXQZjJOiGBgEBBiAIcPA
 8OMHA8P16wwmK1cynP31SwkUE8huBAggQjGQaewSzPAYmCH5+bkYvv3+w/Dl
 LzODkvRnhu/AdMvECiwugaEHSkx/gFiQ8y/Dl3//GX7+ZmF4CHSktDAjg4TE
 D6DnWBle/vvO8Or3L4aLbxkZVlwVZHCU/gTU+wuYB1gZ/v0FehbouYJz5xg4
 z59nMN2/nyFYEFj08vAw/Pj3j+HZ798MZz9/ZsBWOgEEEAue0PeQlldKOv/s
 B4OJnTTD959/GH4wMwOLyT8MMYaMDLIcnAzfPr8HOo2ZgYdPiOHbv5/A8v4X
 AyMwOb378Y3h7gego78yMsiL/GPg5vjN8OvvXwZOYIj+ASY/EwlGhnXXuRgY
 //5jYGH6w8DCzsUgP3k/w4+b5xje373EMP/4dgb7P38Y/gA99QGo7/CXLyAn
 7cHmToAAwteYy5TTMmUQFBZgADVwfgBLi8/f/zC4ynxgkOcBOvsvUBSYAb99
 B1ZG//6C0/fff38Yvv35wfCd9TsDGzDj/mb9ynDtzV+Gt1//MnAz/WM4/PQP
 w+RDwgzbb7Ez/P7zF1hvAJPc779As/8x/GXjZWBV0mPg0bJkABXsUsB0z83B
 AXbIqa9fQdRNbI4ECCAWHKEvJiwq5nfxyTsGTWNVhh/AKPzzj4nhNzCx/GL+
 wvD2IzBDsnEBVTIDM+IXBhFgZQXMuwxf//5ieAuMha/Aoogb2JTgZgdioD5J
 TiaG029/M6y4JgZ0OKie+A/MuMBk8xtI/wcq/gNk/wPFBrBSADY9fr59zmCr
 IgfOAyDPXPv+HeQsVWxuBQggXDHgq6SqzsAGjEJWYLL5+eMXw09QlP76xfAX
 GBNf/oJSPdBCoPc/f//B8A/oiDe/vwLxd2Ca/gvMA78ZfjL+AAbEbwYlYHl/
 99s3hiXX+Bjevgdmd1ZgzAGT2R+Qu4Gm/P4HwX+AAr9BMfryMYMLH7BBCzT8
 G1AfKA9cBWZkTh5ON1DdgO5QgABklbEOgjAURW+BxMbJMHQVw2xi4jfwl36U
 mwNjPwAXS9qCeCAOJg5v6fB67mvvfX8CTNuuZ7c4E771YQPOmC8BnwF7+J36
 GPRaEJOCGucAwWhs4yGNGHLWM2aMa3QqLV/qLT8lVaSQtYUqkqxEgGFpFGa7
 UQuQ+VvB97ru4WRwA73uTH+snY7nZn2Ri+k688v7EUAoHgBLvnnDy8PNzfDp
 yzcGdi4OsMP/AB30D0j///uT4fZrZoYLj74wfAc2DTiB0c3FLcDw7s93hse/
 vjK8+v6T4fqHL0BH/wZH/WOgxw98/sRw5rYoMB9wMHAD6wJOYD3CxsrMwMbC
 BMxCQAxtyfwBxiIo0357fJ3BGGg/A7CyBDnuDDD9/xNSZOCTEwcpcwD7GAkA
 BBB6HmAEBrMsD7AI+/TpGwMnMHP+Bob2H2B0/gRG718WZobPwKh58JSD4Z3s
 VwZ5bl6G70DHvgY26f/8BdLApPYfVC4xcjA8eMfA8In/B8OtZyIMF5+KMAhy
 MwJDnxFcU78+sIXhy62LDN/uXGb4B0w+jBw8DCxSagxsykYMv26dZXDR0QD6
 6A+w7vgPDBigmSw8DJ/+sQGr7f8m0ED/B3MwQACxYCSp//+VeHl5GZ6++cTA
 BHTUD2D6+wtsy/wB+hvkuD/AJsAnYC49dPcDgwI3G4OICDfD9a/vGS6+/8Vw
 9o4kw/s/HMASiJPh009eBg2JXww6Ur8ZBHgZgY0+ZoYXa2YyPNu0iMFXQpjB
 WFqawVhfmQEYxQzvgUnn7LsbDHvWbQH257gYBGVkGP4+fAisU/4xHAPGAJOA
 JMOvf+CSSAFUcgBTyt//u3eD4w4ggFhQkg84Qf6XFxQWYnj45CXDL2B5/geY
 dv8CQ/Q/MHP+YwKme0Y2hqfAzPgTmATs5T4xCPL/YhAGNmSuv+BiuPyQh4Eb
 WMSyAYs/NmCIP/zEz6Ai9pFB8Psjhlsz5zBY3r/AsDsqlEEJ6Lh9Fy8yzHrz
 huEFMKRlWFkZqiQlGTpsbRnugRwDTPeg8v8J0HNPgWHNCjTvw0dQfQ5sE/Hz
 MzN8/AhyK9gDAAHEgqUM5fgLKmWAZfrPH0DfMwJrShY2hn/AJsM/YIgwMgEz
 6Vc2hpfAkD559zuDguBrBhF2YF75xs4AVAKs6IBmAz0HaqnxcgJbAeeeMzzZ
 uJIh58tLhnJra4Z7O3cy+D15wrDr40cGNgNrhn/s3AzH370GVmwXGGrfv2eI
 EhZmYADWwKDkcw0Y+0zASo7p7x8GYAsE4t5//1DyAEAAoXpAAlhFsrB8+Pnz
 F7is/vXzOwMzKxfD718/GP4wA0sYVmA6BOYLUBfixy9Ghuc/OIDNCXawmbzA
 sv43MCbYgBlTQfw7sH/AzMD66xPDy83LGKq+vGVIk5NjuHTwIEPr8+cMJ9T0
 GEQV1IHJkhVYPANbosD+8y8BUYbd148xeAHbQPLAkP8JtOQKMCaYOLjBxTQL
 MECBgQvpdnp4wJ0MEEDwUgiWpoBl3aN3b98ysALT/c9vX4F5CVhaAysoRmCt
 yQgyhBlYAwDZnOz/Gfa+4mDY8eAXMOOwMCQoMTIISvxjEBb9zWCn/pWBCxgT
 N5fMZwi+dZUhTVaW4S2wnbMGGMJHRIQYhIF54N/XDwy/v39mYOTlYWAWk2Jg
 NXFmOA8s95XZ2cHO+AX0wD1gfcDMKwTOs2ygvj8T0xv0BAMQQKj1ACvrf2Aa
 e/wV2PZgZ2MFJgtgyAOLwn/AZvM/cMeFAdwHYARWRkxszAwf/rAxNJznZ5h9
 hQXY1mFhyNb9wdBk8p+Bi5GT4e61ewzCmxYylCsDM+rdu+DQ3ApMNt+FZRhe
 vP8GLL2AiVtMGth80GRgUtJg+A8sCFz5+YGph4fhIzAJc3l5MXwA8hm4+IGV
 HtADf76C6oY7wFYqShcSIIDgHmC8epWRQVj4H4Oy8qsvnz4xcAC7hz+Bmfg3
 sGz/B/IEsERiYoB0F8E9EWB5zsQFTDKcLAwrgd3G3Mt8DJNuCTLce8nMoMvG
 wWBwZClDuYICuC3/EBjy54AeuMzDD/ToPwZQYftXQo7hn6Imw18pJYZ/gsDK
 8NUjBiOgnaAK7IcJsLT082O4++ARMP+xggvN/x+BHW0urqNAN/4HJqH/YPcC
 AUAAYWZicfEff1lZFwPbQrEvXtwEpv9vDMzfgRULJ7BdDizzGYCNsn+gAgBU
 EQHrBVBMcHIBjQG2e34Au5aNz7gZBJ9+Y/i7bAPDMisrBmCJwfAbWK/cAIYi
 69fvDHz/vjHIK8gwCBnLMXBoCDP8AQbykafALun9WwwmwNBnABah/OnpDIdO
 n2b48us3JI+BivO3T0BuO8HAx/cP2bkAAcSElon/A2vAvwxCQmtAsQAsRxn+
 Ajsu/4CZ+R+Q/vv/ByQ/ABt1oGYAEzMkNhiBoQbyEBMwVjjZmRg+nz4Bbs8I
 AmOAITKSQaqjg+GflhYDJ7CTIyzIySCpKsmgoCvK4KLFwxCjwspQbPCO4d+N
 0wwuwLqBITAQ3BzZe+AAw392HiDmZOAANls+vwcmf0fHJ0A3/kOujQECCNUD
 wKhh0NQENthNTj8DltUiMpIMf0F1ARD//Qx0/GegR4DtHZAnwF0YUHEE7tcC
 kwQTuIphABdyLx4zKLEBSyxguf4bmAd+AgPjGLBXxQPMV0KiwgyfpSUYNIRF
 GFy5hRg0mDgZfp26BGnAiYuD0/vPO3cY1pw5w8AhLsTwnwnYov0E7BoLC1YB
 5X8xiImh5AGAAMJsjfLy/gfmgy+/2dgm8wrwM/z99pHhPygP/PjM8O8dsF3y
 /jPDH2Dp8e/7V6A40FOgZAWqH/6Bmpd/wc3jP6ePMtgDa3NQc4ABGBBPb99m
 ePPuHbCAY2NgERdh4BEVZPjHzQ5sTwEbesCy/vzZa5D2jxCwY/TyJcO9a9cY
 nr9+ySCpzgVssAP7IQ8uggJ3OYOo6F8GFRUUDwAEEKYHrKz+AtPhbwZv794n
 t24BOzT8wOTzDZKMfrxn+Av0wD9gM+Pft8/A2AHi78DYAcr9/wnK7EDPAD0L
 LLIYvoMqw9evGVhevWL49ewZsO0PbOBxczFwiggw8PJwMfACk91TYDfx3rtP
 DCf2noTEADDWfgPVnrh6FVjnMDH8YuRn4P34juEXO/skBiOjDwzq6n9hpT7M
 uQABhL1LqaX1F5j5Pvzm4JjMLySY+/76XQYWTl6G/8CameHTO6BuYP/rH7DB
 zAKp0f8DQ50RjIExAKwrGEGNQFBZDqy02IFF4W9gvfIPKPYVGAMvgBmfE6ju
 /LsPDLu+fGW49/Y9w5sb9xmMtbTBTYg/wOR2CpiEeEQFGJ4+YGdgvLafgaG4
 qBeY9v9A0z8KAAgg7B74+RNUH/xhyM5uezBliqSKiW7InfNAT0jJAz3xCawE
 5CBGUHhIAQkJYGnxB1jR/ORi+AnsK/8XEmG4/eopwxeQB4D5RAZYQUHyCyPD
 N2BMPACG+o3PwD7F5y8MH3YeYjAEFpWCiooMDMBk9hdYC59+8YKBQUWBgefB
 BYbPoiKgtP8FXLighT4IAAQQoibW1kZIAA0CNjOBvW2WnwyysnPunz3LIKUs
 wfDn7UsG8BQAsOf1//Mrhn/PnzD8u/Oa4f+1Fwx/Hz9n+Pv6OcP/Ny+BGU4M
 XKu+AXqAAZiEpIGNMSVOLmBZ/xZYOX5jePf6DcOH5y8ZXi9cx8CwZhfDLDc3
 cPJhACYpPmDr8y6Q/vP6B7Dp/mURg67uVmBq+AfE/xlOnWJAdy9AAGHrUv5n
 eP/+P2gsBuiRfwza2lf/CgtXf3j8kEFckhdo8DNgRgWGPrDvy/AVGBtvHjH8
 fwLEV4CeOA/0xA1gec0ry7Ab6IjrwKTzEOgBEKi3tGT4eO8Jw6vdxxheAh39
 vHkKg8W9Fwx3vb0Zft68yfD23j3wGBAPsCQyBvbyPj688QboIRPBQ4cuMixe
 LAd0DyO2GAAIIIzBXcbsbCZgKcTIcOYMC8OHD+wMX77wANvswgy3biWw//pd
 JCAvz/DywXsGFlkVcBH3nxFSB/xnBoYgCwewQgOWPsDWKcO9kwz2b24yZEpI
 ANv/EgychoYMF4C18mqgY/8DS6cQoEMFrlxhiASmd9CUThOwAtMH5hcuYFL6
 AGzQnQPGhAAwP+wBZujye/cmMvj7VwGLUEijLCvrPywGAAIIuwfu3AEm1m/A
 Bs4vDmBscIPb4f//iwLZ7kwfPlSoWFgx3Dp9E9iWkWFgERABe+I/qCvBBDQL
 2MIEj6gBPfT/wRkGi28vGSyARao6sJg0Bda0QkBPgAaqlgH7AiuBpdRXKSEG
 psevGaKARSgfsF/ADZRnBg2IAku1q6DmB9AjX3h5DRn09W8BM/kvBlPTf/+n
 ToVnZoAAwj8yBxo7/PULWEsBGzD//v0GNvZO/pOQyLp19nSiqJSEKbsIG8OT
 +/cYGLlFGZj4BYFJixnSVvrLAK7oGGW0GU4+BnbMXz1mkAY6jo0RkgpeA2Pg
 EycbA7OqOAO3IjAA2HgY5ty5xyACGjgDqvkGrB8+//t3C2jfSlCrANh8eAJM
 DaBWAoYTAQIIMwYgE3WMwGTEAgx1NqBGTmADiw/oCX5wTDAyAoOMSQhYUhkD
 06ydiISEOiu/GMP774wMP0ADQsD2OzOwvAePubAwg41iBNbc/94+BtYj3xkE
 eX8yCMkLMPwRAPYznv1geHvpNgOw/DrAwM29ExjCfMDK7z+41cnOfgM8OcjC
 8gnoEWCtCWxPS0v/YTh9+u9/JEcDBBDWCQ6wJ0xNmRkePWIFxgI70MFcQIOA
 3aTfPEA2P1AB0JXMwIY8My9QTI3h61dHYMIxFpYFNtCExBm+/wQNkQD70cA8
 8o8R2EYCeoIJWOyCCzZg3/bZjUcMn168Bva8uNcCW5jHgeZ9BDoc5EhgjfkP
 RH8B2vMZiL8A5YDV/z+gzwV/A5vloH7lf2QPAAQQbg/AYuHTJ2CiZAbW+9+B
 3S9gwwUYxkDMCep6gjHII3/+iAKxPNAz+kBaDRhbokA1XECLmcDmMDGByvAf
 QLVvgAFxE9imuAAM4btAcWBTFdQeAc9U/gTSv4D6QfwfwFD/DjT/O9AsYNHE
 85vh8WOQ4//9R3MwQAA2zFgFQBgGohbc/P8PdBEcBGdr2r4XdOtW0jS5BI6k
 N+WATlnDVzE7iMYgueoW+zUMbY5iGNs7k6srHav/2bGdez62ywbANQkt+FJu
 zicxFPoP3l/ZcWM2xneE26H5HmwV7sm5Cvj3Bz/DOgSgy4xVAIRhIOpZUdz8
 /+9zqyJuam3xJaiTFjK1NFzS9HLkt4hfEFaSMRYILful4stJqSb1Aae8DnU4
 hHnOtbK5njRigwOzs6JVlfYb3IJN7M2ub9v2cM3a0GcbtRvbbja6CYUsoVv7
 QhDzV+SfdQkggpN80OTEAG2DMwLbSUzADMwITFJM0D40C5DNAk5iv39zgvPL
 378cQAexQStKkAf+AMV/Ah0GShrfwEmDnf032MHMwE7216+QZgLIwezAzva1
 a7DQ/gcLTFzuAwggomcpkTzCgOQhBmBmZwI6gBFYazIBQ48Z6DnQ0AczOP3/
 /88EjgGQJ5iZQUnwD9CRf+AO5eaGWC4o+J9h167/6LXsfyIcBxBgAMmziAeE
 5V6DAAAAAElFTkSuQmCC

=== debian/rules ===
--- 
+++ 
@@ -30,24 +30,17 @@
 build-stamp: configure-stamp 
 	dh_testdir
 
-	# Add here commands to compile the package.
+	# Compile fltk first
 	cd fltk-1.3.0 ; ./configure --disable-xinerama ; make
 	cp -r fltk-1.3.0/FL fltk-1.3.0/lib/ dillo-3.0.2
 	cp fltk-1.3.0/fltk-config dillo-3.0.2
 
+	#Tune compiling against uninstalled fltk
 	sed -i 's/-lXext /-L..\/lib -lXext /' dillo-3.0.2/fltk-config 
 	sed -i 's/fltk-config /.\/fltk-config /'  dillo-3.0.2/configure
 
-	cd dillo-3.0.2; ./configure --enable-ssl --prefix=`pwd`/installed_dir; make ; make install-strip
-	
-	echo "dpi_dir=/opt/dillo/lib/dillo/dpi/" > dillo-3.0.2/installed_dir/etc/dillo/dpidrc
-	echo "" >> dillo-3.0.2/installed_dir/etc/dillo/dpidrc
-	echo "proto.file=file/file.dpi" >> dillo-3.0.2/installed_dir/etc/dillo/dpidrc
-	echo "proto.ftp=ftp/ftp.filter.dpi" >> dillo-3.0.2/installed_dir/etc/dillo/dpidrc
-	echo "proto.https=https/https.filter.dpi" >> dillo-3.0.2/installed_dir/etc/dillo/dpidrc
-	echo "proto.data=datauri/datauri.filter.dpi" >> dillo-3.0.2/installed_dir/etc/dillo/dpidrc
-
-
+	#compile dillo itself
+	cd dillo-3.0.2; ./configure --prefix=/ --enable-ssl ; make
 
 	touch $@
 
@@ -64,16 +57,25 @@
 	dh_clean -k 
 	dh_installdirs
 
-	#folder to the opt
-	install -d ${CURDIR}/debian/dillo/opt/dillo
+	cd dillo-3.0.2; make install DESTDIR=`pwd`/../debian/dillo
 	
-	#binaries/libraries
-	cp -r ${CURDIR}/dillo-3.0.2/installed_dir/bin ${CURDIR}/debian/dillo/opt/dillo
-	cp -r ${CURDIR}/dillo-3.0.2/installed_dir/lib ${CURDIR}/debian/dillo/opt/dillo
+	#delete manuals
+	rm -rf ${CURDIR}/debian/dillo/share
 
-	#config files
-	install -d ${CURDIR}/debian/dillo/etc/dillo
-	install ${CURDIR}/dillo-3.0.2/installed_dir/etc/dillo/* ${CURDIR}/debian/dillo/etc/dillo
+	#optify
+	mkdir -p  ${CURDIR}/debian/dillo/opt/dillo
+	mv ${CURDIR}/debian/dillo/bin/dpid ${CURDIR}/debian/dillo/opt/dillo/
+	ln -s /opt/dillo/dpid ${CURDIR}/debian/dillo/bin/dpid
+
+	mv ${CURDIR}/debian/dillo/bin/dpidc ${CURDIR}/debian/dillo/opt/dillo/
+	ln -s /opt/dillo/dpidc ${CURDIR}/debian/dillo/bin/dpidc
+
+	mv ${CURDIR}/debian/dillo/bin/dillo ${CURDIR}/debian/dillo/opt/dillo/
+	ln -s /opt/dillo/dillo ${CURDIR}/debian/dillo/bin/dillo
+
+	mv ${CURDIR}/debian/dillo/lib/dillo ${CURDIR}/debian/dillo/opt/dillo/dillo_lib
+	ln -s /opt/dillo/dillo_lib ${CURDIR}/debian/dillo/lib/dillo
+
 
 	#menu and icon
 	install -d  ${CURDIR}/debian/dillo/usr/share/icons/hicolor/64x64/hildon
@@ -90,8 +92,8 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs 
-	dh_installdocs
+#	dh_installchangelogs #
+#	dh_installdocs #
 	dh_installexamples
 	dh_install
 #	dh_installmenu
@@ -103,7 +105,7 @@
 #	dh_installinit
 #	dh_installcron
 #	dh_installinfo
-	dh_installman
+#	dh_installman #
 	dh_link
 	dh_strip
 	dh_compress

## dillo 0.3.2-maemo6

=== fltk-1.3.0/CMakeLists.txt ===
#
# "$Id: CMakeLists.txt 8198 2011-01-06 10:24:58Z manolo $"
#
# Main CMakeLists.txt to build the FLTK project using CMake (www.cmake.org)
# Written by Andy Cedilnik and Julien Jomier
#
# Copyright 1998-2010 by Bill Spitzak and others.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Library General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Library General Public License for more details.
#
# You should have received a copy of the GNU Library General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
# USA.
#
# Please report all bugs and problems on the following page:
#
#     http:#www.fltk.org/str.php
#

#######################################################################
# basic setup
#######################################################################
project(FLTK)
cmake_minimum_required(VERSION 2.6)

# The FLTK version
set(FLTK_VERSION_MAJOR "1")
set(FLTK_VERSION_MINOR "3")
set(FLTK_VERSION_PATCH "0")
set(FLTK_VERSION "${FLTK_VERSION_MAJOR}.${FLTK_VERSION_MINOR}")
set(FLTK_VERSION_FULL "${FLTK_VERSION}.${FLTK_VERSION_PATCH}")

set(EXECUTABLE_OUTPUT_PATH ${FLTK_BINARY_DIR}/bin)
set(LIBRARY_OUTPUT_PATH ${FLTK_BINARY_DIR}/lib)
set(ARCHIVE_OUTPUT_PATH ${FLTK_BINARY_DIR}/lib)

# Search for modules in the FLTK source dir first
set(CMAKE_MODULE_PATH "${FLTK_SOURCE_DIR}/CMake")

include_directories(${FLTK_BINARY_DIR} ${FLTK_SOURCE_DIR})

#######################################################################
# platform dependent information
#######################################################################

include(TestBigEndian)
TEST_BIG_ENDIAN(WORDS_BIGENDIAN)

if(APPLE)
   set(__APPLE_QUARTZ__ 1)
   set(HAVE_STRTOLL 1)
   set(HAVE_STRCASECMP 1)
   set(HAVE_DIRENT_H 1)
   set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -framework Cocoa")
endif(APPLE)

if(WIN32)
   if(MSVC)
      add_definitions(-DWIN32_LEAN_AND_MEAN)
      add_definitions(-D_CRT_SECURE_NO_WARNINGS)
   endif(MSVC)
   if(CMAKE_C_COMPILER_ID STREQUAL GNU)
      set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,-subsystem,windows")
   endif(CMAKE_C_COMPILER_ID STREQUAL GNU)
   if(MINGW AND EXISTS /mingw)
      list(APPEND CMAKE_PREFIX_PATH /mingw)
	endif(MINGW AND EXISTS /mingw)
endif(WIN32)

#######################################################################
# size of ints
include(CheckTypeSize)

CHECK_TYPE_SIZE(short SIZEOF_SHORT)
CHECK_TYPE_SIZE(int   SIZEOF_INT)
CHECK_TYPE_SIZE(long  SIZEOF_LONG)
CHECK_TYPE_SIZE("long long"  HAVE_LONG_LONG)

if(${SIZEOF_SHORT} MATCHES "^2$")
   set(U16 "unsigned short")
endif(${SIZEOF_SHORT} MATCHES "^2$")

if(${SIZEOF_INT} MATCHES "^4$")
   set(U32 "unsigned")
else()
   if(${SIZEOF_LONG} MATCHES "^4$")
      set(U32 "unsigned long")
   endif(${SIZEOF_LONG} MATCHES "^4$")
endif(${SIZEOF_INT} MATCHES "^4$")

if(${SIZEOF_INT} MATCHES "^8$")
   set(U64 "unsigned")
else()
   if(${SIZEOF_LONG} MATCHES "^8$")
      set(U64 "unsigned long")
   endif(${SIZEOF_LONG} MATCHES "^8$")
endif(${SIZEOF_INT} MATCHES "^8$")

#######################################################################
# check for headers, libraries and functions
#######################################################################
# headers
find_file(HAVE_ALSA_ASOUNDLIB_H alsa/asoundlib.h)
find_file(HAVE_DIRENT_H dirent.h)
find_file(HAVE_DLFCN_H dlfcn.h)
find_file(HAVE_FREETYPE_H freetype.h PATH_SUFFIXES freetype2)
find_file(HAVE_GL_GL_H GL/gl.h)
find_file(HAVE_GL_GLU_H GL/glu.h)
find_file(HAVE_LIBPNG_PNG_H libpng/png.h)
find_file(HAVE_LOCALE_H locale.h)
find_file(HAVE_NDIR_H ndir.h)
find_file(HAVE_OPENGL_GLU_H OpenGL/glu.h)
find_file(HAVE_PNG_H png.h)
find_file(HAVE_PTHREAD_H pthread.h)
find_file(HAVE_STDIO_H stdio.h)
find_file(HAVE_STRINGS_H strings.h)
find_file(HAVE_SYS_DIR_H sys/dir.h)
find_file(HAVE_SYS_NDIR_H sys/ndir.h)
find_file(HAVE_SYS_SELECT_H sys/select.h)
find_file(HAVE_SYS_STDTYPES_H sys/stdtypes.h)
find_path(HAVE_XDBE_H Xdbe.h PATH_SUFFIXES X11/extensions extensions)

mark_as_advanced(HAVE_ALSA_ASOUNDLIB_H HAVE_DIRENT_H HAVE_DLFCN_H)
mark_as_advanced(HAVE_FREETYPE_H HAVE_GL_GL_H HAVE_GL_GLU_H)
mark_as_advanced(HAVE_LIBPNG_PNG_H HAVE_LOCALE_H HAVE_NDIR_H)
mark_as_advanced(HAVE_OPENGL_GLU_H HAVE_PNG_H HAVE_PTHREAD_H)
mark_as_advanced(HAVE_STDIO_H HAVE_STRINGS_H HAVE_SYS_DIR_H)
mark_as_advanced(HAVE_SYS_NDIR_H HAVE_SYS_SELECT_H)
mark_as_advanced(HAVE_SYS_STDTYPES_H HAVE_XDBE_H)

# where to find freetype headers
find_path(FREETYPE_PATH freetype/config/ftheader.h PATH_SUFFIXES freetype2)
if(FREETYPE_PATH)
   include_directories(${FREETYPE_PATH})
endif(FREETYPE_PATH)
mark_as_advanced(FREETYPE_PATH)

#######################################################################
# libraries
find_library(LIB_CAIRO cairo)
find_library(LIB_fontconfig fontconfig)
find_library(LIB_freetype freetype)
find_library(LIB_GL GL)
find_library(LIB_MesaGL MesaGL)
find_library(LIB_jpeg jpeg)
find_library(LIB_png png)
find_library(LIB_zlib z)

mark_as_advanced(LIB_CAIRO LIB_fontconfig LIB_freetype)
mark_as_advanced(LIB_GL LIB_MesaGL)
mark_as_advanced(LIB_jpeg LIB_png LIB_zlib)

#######################################################################
# functions
include(CheckFunctionExists)

if(HAVE_DLFCN_H)
   set(CMAKE_REQUIRED_LIBRARIES dl)
endif(HAVE_DLFCN_H)
CHECK_FUNCTION_EXISTS(dlsym                  HAVE_DLSYM)

CHECK_FUNCTION_EXISTS(localeconv             HAVE_LOCALECONV)

if(LIB_png)
   set(CMAKE_REQUIRED_LIBRARIES png)
endif(LIB_png)
CHECK_FUNCTION_EXISTS(png_get_valid          HAVE_PNG_GET_VALID)
CHECK_FUNCTION_EXISTS(png_set_tRNS_to_alpha  HAVE_PNG_SET_TRNS_TO_ALPHA)

CHECK_FUNCTION_EXISTS(scandir                HAVE_SCANDIR)
CHECK_FUNCTION_EXISTS(snprintf               HAVE_SNPRINTF)

# not really true but we convert strcasecmp calls to _stricmp calls in flstring.h
if(MSVC)
   set(HAVE_STRCASECMP 1)
endif(MSVC)
CHECK_FUNCTION_EXISTS(strcasecmp             HAVE_STRCASECMP)

CHECK_FUNCTION_EXISTS(strlcat                HAVE_STRLCAT)
CHECK_FUNCTION_EXISTS(strlcpy                HAVE_STRLCPY)
CHECK_FUNCTION_EXISTS(strtoll                HAVE_STRTOLL)
CHECK_FUNCTION_EXISTS(vsnprintf              HAVE_VSNPRINTF)

set(CMAKE_REQUIRED_LIBRARIES)

if(HAVE_SCANDIR AND NOT HAVE_SCANDIR_POSIX)
   set(MSG "POSIX compatible scandir")
   message(STATUS "Looking for ${MSG}")
   try_compile(V
      ${FLTK_BINARY_DIR}
      ${FLTK_SOURCE_DIR}/CMake/posixScandir.cxx
      )
   if(V)
      message(STATUS "${MSG} - found")
      set(HAVE_SCANDIR_POSIX 1 CACHE INTERNAL "")
   else()
      message(STATUS "${MSG} - not found")
      set(HAVE_SCANDIR_POSIX HAVE_SCANDIR_POSIX-NOTFOUND)
   endif(V)
endif(HAVE_SCANDIR AND NOT HAVE_SCANDIR_POSIX)
mark_as_advanced(HAVE_SCANDIR_POSIX)

#######################################################################
# options
#######################################################################
set(OPTION_OPTIM ""
   CACHE STRING
   "custom optimization flags"
   )
add_definitions(${OPTION_OPTIM})

#######################################################################
set(OPTION_ARCHFLAGS ""
   CACHE STRING
   "custom architecture flags"
   )
add_definitions(${OPTION_ARCHFLAGS})

#######################################################################
set(OPTION_PREFIX_BIN ""
   CACHE STRING
   "where to install executables - leave empty to use {CMAKE_INSTALL_PREFIX}/bin"
   )

if(OPTION_PREFIX_BIN)
   set(PREFIX_BIN ${OPTION_PREFIX_BIN} CACHE INTERNAL "" FORCE)
else()
   set(PREFIX_BIN ${CMAKE_INSTALL_PREFIX}/bin CACHE INTERNAL "" FORCE)
endif(OPTION_PREFIX_BIN)

#######################################################################
set(OPTION_PREFIX_LIB ""
   CACHE STRING
   "where to install libraries - leave empty to use {CMAKE_INSTALL_PREFIX}/lib"
   )

if(OPTION_PREFIX_LIB)
   set(PREFIX_LIB ${OPTION_PREFIX_LIB} CACHE INTERNAL "" FORCE)
else()
   set(PREFIX_LIB ${CMAKE_INSTALL_PREFIX}/lib CACHE INTERNAL "" FORCE)
endif(OPTION_PREFIX_LIB)

#######################################################################
set(OPTION_PREFIX_INCLUDE ""
   CACHE STRING
   "where to install include files - leave empty to use {CMAKE_INSTALL_PREFIX}/include"
   )

if(OPTION_PREFIX_INCLUDE)
   set(PREFIX_INCLUDE ${OPTION_PREFIX_INCLUDE} CACHE INTERNAL "" FORCE)
else()
   set(PREFIX_INCLUDE ${CMAKE_INSTALL_PREFIX}/include CACHE INTERNAL "" FORCE)
endif(OPTION_PREFIX_INCLUDE)

#######################################################################
set(OPTION_PREFIX_DATA ""
   CACHE STRING
   "where to install data files - leave empty to use {CMAKE_INSTALL_PREFIX}/share/FLTK"
   )

if(OPTION_PREFIX_DATA)
   set(PREFIX_DATA ${OPTION_PREFIX_DATA} CACHE INTERNAL "" FORCE)
else()
   set(PREFIX_DATA ${CMAKE_INSTALL_PREFIX}/share/FLTK CACHE INTERNAL "" FORCE)
endif(OPTION_PREFIX_DATA)

#######################################################################
set(OPTION_PREFIX_DOC ""
   CACHE STRING
   "where to install doc files - leave empty to use {CMAKE_INSTALL_PREFIX}/share/doc/FLTK"
   )

if(OPTION_PREFIX_DOC)
   set(PREFIX_DOC ${OPTION_PREFIX_DOC} CACHE INTERNAL "" FORCE)
else()
   set(PREFIX_DOC ${CMAKE_INSTALL_PREFIX}/share/doc/FLTK CACHE INTERNAL "" FORCE)
endif(OPTION_PREFIX_DOC)

#######################################################################
if(WIN32)
   set(DEFAULT_CONFIG "${CMAKE_INSTALL_PREFIX}/CMake")
elseif(APPLE)
   set(DEFAULT_CONFIG "${CMAKE_INSTALL_PREFIX}/FLTK/.framework/Resources/CMake")
else()
   set(DEFAULT_CONFIG "${CMAKE_INSTALL_PREFIX}/lib/FLTK-${FLTK_VERSION}")
endif(WIN32)

set(OPTION_PREFIX_CONFIG ""
   CACHE STRING
   "where to install CMake config files - leave empty to use ${DEFAULT_CONFIG}"
   )

if(OPTION_PREFIX_CONFIG)
   set(PREFIX_CONFIG "${OPTION_PREFIX_CONFIG}" CACHE INTERNAL "" FORCE)
else()
   set(PREFIX_CONFIG "${DEFAULT_CONFIG}" CACHE INTERNAL "" FORCE)
endif(OPTION_PREFIX_CONFIG)

#######################################################################
if(CMAKE_HOST_UNIX)
   set(OPTION_PREFIX_MAN ""
      CACHE STRING
      "where to install man files - leave empty to use {CMAKE_INSTALL_PREFIX}/man"
      )

   if(OPTION_PREFIX_MAN)
      set(PREFIX_MAN ${OPTION_PREFIX_MAN} CACHE INTERNAL "" FORCE)
   else()
      set(PREFIX_MAN ${CMAKE_INSTALL_PREFIX}/man CACHE INTERNAL "" FORCE)
   endif(OPTION_PREFIX_MAN)

   option(OPTION_CREATE_LINKS "create backwards compatibility links" OFF)
endif(CMAKE_HOST_UNIX)

#######################################################################
if(APPLE)
   option(OPTION_APPLE_X11 "use X11" OFF)
endif(APPLE)

if(NOT APPLE OR OPTION_APPLE_X11)
   include(FindX11)
   if(X11_FOUND)
      set(USE_X11 1)
      list(APPEND FLTK_CFLAGS -DUSE_X11)
      list(APPEND FLTK_LDLIBS -lX11)
   endif(X11_FOUND)
endif(NOT APPLE OR OPTION_APPLE_X11)

#######################################################################
option(OPTION_USE_POLL "use poll if available" OFF)

if(OPTION_USE_POLL)
   CHECK_FUNCTION_EXISTS(poll USE_POLL)
endif(OPTION_USE_POLL)

#######################################################################
option(OPTION_BUILD_SHARED_LIBS "Build shared libraries" OFF)

#######################################################################
option(OPTION_BUILD_EXAMPLES "build example programs" ON)

#######################################################################
include(FindPkgConfig)

option(OPTION_CAIRO "use lib Cairo" OFF)
option(OPTION_CAIROEXT
   "use fltk code instrumentation for cairo extended use" OFF
   )

if(OPTION_CAIRO OR OPTION_CAIROEXT AND LIB_CAIRO)
   pkg_search_module(PKG_CAIRO cairo)
endif(OPTION_CAIRO OR OPTION_CAIROEXT AND LIB_CAIRO)

=== debian/changelog ===
dillo (0.3.2-maemo6) unstable; urgency=low

   * Fixed: menu icon

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu, 22 Mar 2012 15:46:40 +0200

=== debian/rules ===
--- 
+++ 
@@ -79,7 +79,7 @@
 
 	#menu and icon
 	install -d  ${CURDIR}/debian/dillo/usr/share/icons/hicolor/64x64/hildon
-	install ${CURDIR}/debian/ProgramIcon.png    ${CURDIR}/debian/dillo/usr/share/icons/hicolor/64x64/hildon/dillo
+	install ${CURDIR}/debian/ProgramIcon.png    ${CURDIR}/debian/dillo/usr/share/icons/hicolor/64x64/hildon/dillo.png
 
 	install -d ${CURDIR}/debian/dillo/usr/share/applications/hildon
 	install ${CURDIR}/debian/dillo.desktop ${CURDIR}/debian/dillo/usr/share/applications/hildon

## dillo 0.6.4

=== doc/Makefile ===
# Makefile.in generated automatically by automake 1.4-p4 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = /bin/sh

srcdir = .
top_srcdir = ..

prefix = /usr/local
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/dillo
pkglibdir = $(libdir)/dillo
pkgincludedir = $(includedir)/dillo

top_builddir = ..

ACLOCAL = aclocal
AUTOCONF = autoconf
AUTOMAKE = automake
AUTOHEADER = autoheader

INSTALL = /usr/bin/ginstall -c
INSTALL_PROGRAM = ${INSTALL} $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL}
transform = s,x,x,

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
CC = gcc
GTK_CFLAGS = -I/opt/gnome/include/gtk-1.2 -I/opt/gnome/include/glib-1.2 -I/opt/gnome/lib/glib/include -I/usr/X11R6/include
GTK_CONFIG = /opt/gnome/bin/gtk-config
GTK_LIBS = -L/opt/gnome/lib -L/usr/X11R6/lib -lgtk -lgdk -rdynamic -lgmodule -lglib -ldl -lXext -lX11 -lm
LIBJPEG_LIB = -ljpeg
MAKEINFO = makeinfo
PACKAGE = dillo
RANLIB = ranlib
VERSION = 0.6.4
datadir = ${prefix}/share
src = @src@

EXTRA_DIST =  	Cache.txt 	Dillo.txt 	Dw.txt 	DwImage.txt 	DwPage.txt 	DwWidget.txt 	IO.txt 	Images.txt 	NC_design.txt 	README 	store.txt

mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../config.h
CONFIG_CLEAN_FILES = 
DIST_COMMON =  README Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = tar
GZIP_ENV = --best
all: all-redirect
.SUFFIXES:
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --gnu doc/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status $(BUILT_SOURCES)
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status

tags: TAGS
TAGS:


distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = doc

distdir: $(DISTFILES)
	here=`cd $(top_builddir) && pwd`; \
	top_distdir=`cd $(top_distdir) && pwd`; \
	distdir=`cd $(distdir) && pwd`; \
	cd $(top_srcdir) \
	  && $(AUTOMAKE) --include-deps --build-dir=$$here --srcdir-name=$(top_srcdir) --output-dir=$$top_distdir --gnu doc/Makefile
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done
info-am:
info: info-am
dvi-am:
dvi: dvi-am
check-am: all-am
check: check-am
installcheck-am:
installcheck: installcheck-am
install-exec-am:
install-exec: install-exec-am

install-data-am:
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
uninstall-am:
uninstall: uninstall-am
all-am: Makefile
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs:


mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
mostlyclean-am:  mostlyclean-generic

mostlyclean: mostlyclean-am

clean-am:  clean-generic mostlyclean-am

clean: clean-am

distclean-am:  distclean-generic clean-am

distclean: distclean-am

maintainer-clean-am:  maintainer-clean-generic distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-am

.PHONY: tags distdir info-am info dvi-am dvi check check-am \
installcheck-am installcheck install-exec-am install-exec \
install-data-am install-data install-am install uninstall-am uninstall \
all-redirect all-am all installdirs mostlyclean-generic \
distclean-generic clean-generic maintainer-clean-generic clean \
mostlyclean distclean maintainer-clean


# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

## dillo 3.0

=== debian/changelog ===
dillo (3.0-1) unstable; urgency=low

  * New upstream release (3.0rc3 has been released unchanged as 3.0;
    upload to unstable)

 -- Axel Beckert <abe@debian.org>  Fri, 09 Sep 2011 01:10:40 +0200

dillo (3.0~rc3-1) experimental; urgency=low

  * New upstream release candidate
    - Remove doc/CCCwork.txt from debian/docs (not included in upstream
      tar ball)
  * Use dh_autotools-dev_*config instead of autogen.sh as the latter is
    not included in the official upstream tar balls.
    - No more remove autoconf/automake generated files
    - Remove build-dependencies on automake and autoconf
    - Some more finetuning of what's removed in the clean target and
      what's backed up before and restored and after the build.
  * Switch to Debian source package format to "3.0 (quilt)" because the
    upstream tar ball is bzip2 compressed.

 -- Axel Beckert <abe@debian.org>  Mon, 29 Aug 2011 23:38:28 +0200

dillo (3~hg20110824-1) experimental; urgency=low

  * New upstream snapshot (r2149:9d1ff8be799c)
    + Changes syntax of search_url parameter in dillorc. URL is now
      prepended by the name of the service, separate by a blank.

 -- Axel Beckert <abe@debian.org>  Thu, 25 Aug 2011 01:25:48 +0200

dillo (3~hg20110720-1) experimental; urgency=low

  * Reintroducing the FLTK 1.3 version of Dillo. (Closes: #634811)
  * debian/control:
    + New Maintainer
    + Maintaining the package in a git repository, adding Vcs-* headers
    + Added dependency on ${misc:Depends} for debhelper
    + Removed Conflicts against the gzilla package from Potato
    + Replace libglib1.2-dev build dependency by libglib2.0-dev, remove
      unneeded build dependency libxft-dev
    + Bump Standards-Versions to 3.9.2, no further changes
    + Update and extend the package description.
  * debian/rules:
    + Uses now $(CURDIR) instead of `pwd` in debian/rules
    + Dropped obsolete dh_desktop call in debian/rules
    + Clean up some more leftover files in clean target
    + No more update config.{sub,config} manually (autogen.sh does it
      already)
    + Fix lintian warning debian-rules-missing-recommended-target
  * debian/copyright:
    + Update License, Copyright years and Copyright holders
    + Documented GPL expection about OpenSSL linking in debian/copyright
  * Use set -e also in debian/prerm, not only in debian/postinst
  * For now install all .txt, .doc and .png files from upstream's doc
    directory into /usr/share/doc/dillo/doc/. (user_help.html is
    explicitly not installed as upstream's Makefile does that already.)
  * Remove all patches, they're no more relevant. Also remove the patch
    system and according dependencies.

 -- Axel Beckert <abe@debian.org>  Sun, 24 Jul 2011 00:13:44 +0200

dillo (0.8.6-3) unstable; urgency=low

  * New maintainer (Closes: #448733).
  * Add debian/dillo.{xpm,png} icons (.png icon is in uuencode format) (Closes:
    #446107, #257343):
    - debian/{dillo.desktop,menu}: add Icon field
    - debian/control: add sharutils in Build-Depends field for uudecode
    - debian/rules: use uudecode to decode .png icon
    - debian/rules: add icons install
  * Add debian/patches/cookies_c.dpatch patch by Yoshio Nakamura (Closes:
    #326950).
  * Fix copyright-without-copyright-notice lintian warning:
    - debian/copyright: add Copyright field
  * debian/copyright: add Upstream Author field.
  * Drop debian/dillo.lintian-overrides file:
    - debian/rules: remove lintian overrides install
  * Bump Standards-Version to 3.7.3.

 -- Devid Filoni <d.filoni@techemail.com>  Tue, 13 May 2008 21:32:31 +0200

dillo (0.8.6-2) unstable; urgency=low

  * QA upload.
  * Fixed a problem with unpatch related to config.{sub,guess}. Fix based 
    on patches sent in by Bart Martens and Nicolas Valcarcel (thanks, guys!)
    (Closes: #457961, #457394).
  * Fixed spelling error in debian/NEWS.
  * Added fields to .desktop: Categories, GenericName, MimeType, and [lt]
    translations as suggested by Mantas Kriauciunas (thanks!).

 -- Ralf Treinen <treinen@debian.org>  Tue, 15 Jan 2008 21:49:16 +0100

dillo (0.8.6-1) unstable; urgency=low

  * QA upload:
  	+ Set maintainer to QA group
  * New upstream release
  * Some changes do debian/rules file:
  	+ Tiedied debian/rules file up
  	+ Updated debian/rules file to not ignore problems during make clean
  	+ Replaced dh_installdirs by calling install with appropriate
  	  parameters
  	+ Register desktop files by calling dh_desktop
  * Added a watch file
  * Updated to Standards-Version 3.7.2
  * Updated debhelper compatibility level to 5
  * Use the new Homepage field in debian/control
  * Updated debian/menu to new menu policy: dillo is now to be found
    under Applications/Network/Web Browsing
  * Updated debian/copyright
  * Added lintian override for missing manpages (because the binaries
    are used internal only and of no relevance to the user)
  * Integrated new version of i18n patch.
    (Closes: #343130, #409126)
  * Disable new FLTK2 frontend, because depends cannot be fulfilled
  * Lowered priority in the alternatives system for x-www-browser to 50
    (Closes: #344247)
  * Fixed problem: File list (dpi) leaves out filenames starting with a hashmark
    Thanks to Yoshio Nakamura for the patch. (Closes: #349342)
  * Added manpages for bm-update and dillocfg

 -- Patrick Schoenfeld <schoenfeld@in-medias-res.com>  Wed, 28 Nov 2007 14:38:03 +0100

dillo (0.8.5-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Added a dependancy on patch-stamp in configure-stamp, so ./configure
    is executed with the patched version (prevents the build from failing if
    configure is run, then patched). (closes: #400049)

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Fri, 15 Dec 2006 11:07:18 +0100

dillo (0.8.5-4) unstable; urgency=low

  * Link against openssl.
  * Add manual page to update-alternatives system.
  * Updated debian/copyright.
  * Updated description.



=== debian/control ===
Source: dillo
Section: web
Priority: extra
Maintainer: Axel Beckert <abe@debian.org>
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 5), libfltk1.3-dev, libglib2.0-dev, libpng12-dev, zlib1g-dev, libjpeg8-dev | libjpeg-dev, autotools-dev, libssl-dev, sharutils
Homepage: http://www.dillo.org/
Vcs-Git: git://anonscm.debian.org/collab-maint/dillo.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/dillo.git

Package: dillo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, wget
Provides: www-browser
Description: Small and fast web browser
 Dillo 3 is a graphical multi-platform web browser known for its speed
 and small footprint. It is based on version 1.3 of the Fast and Light
 Toolkit (FLTK) in version 1.3
 .
 It aims to be small in resources, stable, developer-friendly, usable,
 very fast, and extensible.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	CONFFLAGS += --build $(DEB_HOST_GNU_TYPE)
else
	CONFFLAGS += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

CFLAGS = -Wall -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: config.status
config.h.in.backup:
	[ -f config.h.in.backup ] || cp -pv config.h.in config.h.in.backup
config.status: config.h.in.backup
	dh_testdir
	dh_autotools-dev_updateconfig
	./configure $(CONFFLAGS) \
				--prefix=/usr \
				--sysconfdir=/etc \
				--enable-ipv6 \
				--enable-ssl \
				CFLAGS="$(CFLAGS)" \

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: config.status
	dh_testdir
	$(MAKE)
	touch build-stamp

clean: clean-patched
clean-patched:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	-rm -f `find . -name "*~"`
	-rm -rf debian/dillo debian/files* core debian/substvars debian/prerm.debhelper debian/*postinst.debhelper debian/*postrm.debhelper
	-rm -f `find . -name "*.o"` `find . -name "*.dpi"` `find . -name "*.a"`
	-rm -f `find . -name "*.gmo"` src/dillo dpid/dpid config/dillocfg
	-rm -f config.log debian/dillo.png
	#-rm -f `find . -name "Makefile.in"` config.guess config.sub configure
	#-rm -f depcomp install-sh missing aclocal.m4 debian/dillo.png
	[ ! -f Makefile ] || $(MAKE) clean
	[ ! -f config.h.in.backup ] || mv -v config.h.in.backup config.h.in
	dh_autotools-dev_restoreconfig
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/dillo


binary-indep: build install
binary-arch: build install
	dh_testdir
	dh_testroot
	mkdir -p debian/dillo/etc
	$(MAKE) DESTDIR=$(CURDIR)/debian/dillo install
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installman debian/dillo.1 debian/bm-update.1 debian/dillocfg.1
	install -m644 -D debian/dillo.desktop debian/dillo/usr/share/applications/dillo.desktop
	# Decode png icon
	uudecode debian/dillo.uuencode -o debian/dillo.png
	# Install icons
	install -m644 -D debian/dillo.xpm debian/dillo/usr/share/pixmaps/dillo.xpm
	install -m644 -D debian/dillo.png debian/dillo/usr/share/pixmaps/dillo.png
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3
http://www.dillo.org/download/dillo-(.*).tar.bz2	debian uupdate

## dillo 3.0.1

=== debian/changelog ===
dillo (3.0.1-1) unstable; urgency=low

  * New upstream bugfix release
  * Clean up debian-provided docs for 3.0
    + Remove bm-config.1 and dillocfg.1 man pages, the according programs
      are no more included.
    + Use doc/dillo.1 instead of debian/dillo.1.
  * Use git-import-orig instead of uupdate in watch file
  * Added patch from corvid (upstream developer) to at least weaken the
    impact of #642391.

 -- Axel Beckert <abe@debian.org>  Sat, 24 Sep 2011 09:47:30 +0200

=== debian/rules ===
--- 
+++ 
@@ -75,7 +75,7 @@
 	dh_installdocs
 	dh_installexamples
 	dh_installmenu
-	dh_installman debian/dillo.1 debian/bm-update.1 debian/dillocfg.1
+	dh_installman doc/dillo.1
 	install -m644 -D debian/dillo.desktop debian/dillo/usr/share/applications/dillo.desktop
 	# Decode png icon
 	uudecode debian/dillo.uuencode -o debian/dillo.png
